close all;                                   % 모든 생성된 창을 닫음 
clear all;                                   % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                         % 명령(command) 창을 비움

num=[1 0 -0.25 0];                           % 전달 함수 분자의 계수 
den=[1 -1.1 0.88 -0.704 0.1536];             % 전달 함수 분자의 계수 
[R P]=residue(num,[den 0]);                  % 부분 분수 전개의 극과 계수 계산
n=0:30;                                      % 시간축 설정 
x=2*((0.8).^n-(0.3).^n);                     % 입력 신호 x[n] 생성
y=zeros(1,length(n));                        % 출력 신호 y[n] 초기화 
for k=1:length(R)
   y=y+R(k)*P(k).^n;                         % 역 변환에 의한 출력 신호 계산
end 

subplot(2,1,1);                              % 2행 1열 분할 그림 창의 1번 창
stem(n,x);                                   % 입력 신호 x[n]을 그림
title('\bf{입력 신호}');                      % 그림 제목
xlabel('\bf{n}'); grid on;                   % x축 라벨 및 그리드 표시
subplot(2,1,2);                              % 2행 1열 분할 그림 창의 2번 창
stem(n,y);                                   % 출력 신호 y[n]을 그림
title('\bf{출력 신호}');                      % 그림 제목
xlabel('\bf{n}'); grid on;                   % x축 라벨 및 그리드 표시